org.apache.mina.statemachine.annotation

## Annotation Type OnEntry

-     @Retention(value=RUNTIME)
      @Target(value=METHOD)
      public @interface OnEntry

  Annotation used on methods to indicate that the method will be executed before entering a certain state
  Author:
    Apache MINA Project

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `value` Sets the id of related state.

- - ### Element Detail

    - #### value

          public abstract String value

      Sets the id of related state.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.